/*
 * WarningDecrease.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "Alert/AlertBase.h"

#ifndef ALERT_WARNINGDECREASE_H_
#define ALERT_WARNINGDECREASE_H_

namespace ALERT
{

class WarningDecrease: public ALERT::AlertBase
{
private:
    bool m_warning;
public:
    bool warning;
public:
    WarningDecrease();
    void setup(float time_sample);
    void configure(const AlertBaseConfiguration& config);
public:
    void reset();
public:
    void execute(float reference);
private:
    void (WarningDecrease::*_execute)(float reference);
    void _execute_undef(float reference);
    void _execute_operational(float reference);
//
};//

} /* namespace ALERT */

#endif /* ALERT_WARNINGDECREASE_H_ */
