/*
 * HALBase.cpp
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "HAL/HALBase.h"

namespace HAL
{

//CONSTRUCTOR
HALBase::HALBase():
        m_mode(HAL::HALBase::UNDEFINED),
        m_status(false)
//
{}//end CONSTRUCTOR
//
HAL::HALBase::mode_t HAL::HALBase::get_mode() const
{

    return m_mode;
    //
}//end
//
bool HAL::HALBase::compare(HAL::HALBase::mode_t mode) const
{
    return m_mode == mode;
    //
}//end
//
} /* namespace HAL */
