/*
 * AlgorithmZero.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include <math.h>
#include <stdint.h>

#ifndef SYSCTRL_ALGORITHMZERO_H_
#define SYSCTRL_ALGORITHMZERO_H_

#include "SYSCTRL/AlgorithmBase.h"

namespace SYSCTRL
{

class AlgorithmZero: public AlgorithmBase
{
private:
    SYSCTRL::SystemEnvironment& m_env;
public:
    AlgorithmZero(SYSCTRL::SystemEnvironment& env);
public:
    void setup();
public:
    void reset();
public:
    void execute();
private:
    void (AlgorithmZero::*_execute)();
    void _execute_run();
};

} /* namespace SYSCTRL */

#endif /* SYSCTRL_ALGORITHMZERO_H_ */
