/*
 * BaseComponent.cpp
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "SYSCTRL/BaseComponent.h"

namespace SYSCTRL
{
//CONSTRUCTOR
BaseComponent::BaseComponent():
        m_mode(SYSCTRL::BaseComponent::UNDEFINED),
        m_time_sample(-1.0)
//
{}//CONSTRUCTOR
//
#pragma CODE_SECTION("ramfuncs");
SYSCTRL::BaseComponent::mode_t BaseComponent::get_mode()
{
    return m_mode;
    //
}//
//
#pragma CODE_SECTION("ramfuncs");
bool BaseComponent::compare(SYSCTRL::BaseComponent::mode_t mode)
{
    return m_mode == mode;
    //
}//
//
} /* namespace SYSCTRL */
