/*
 * TriggerFault.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include <math.h>
#include <stdint.h>

#ifndef SYSCTRL_TRIGGERFAULT_H_
#define SYSCTRL_TRIGGERFAULT_H_

#include "SYSCTRL/TriggerBase.h"

namespace SYSCTRL
{

class TriggerFault: public TriggerBase
{
public:
    TriggerFault();
    void setSET(bool set);
    void setRESET(bool reset);
    void execute();
    void clear();
    bool getOUT();
    bool getPOSITIVE();
    bool getNEGATIVE();
    bool isPOSITIVE();
    bool isNEGATIVE();
};

} /* namespace SYSCTRL */

#endif /* SYSCTRL_TRIGGERFAULT_H_ */
