/*
 * VectorSpinner.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include <math.h>
#include <stdint.h>

#include "SYSCTRL/SystemEnvironment.h"

#ifndef SYSCTRL_VECTORSPINNER_H_
#define SYSCTRL_VECTORSPINNER_H_

namespace SYSCTRL
{


class VectorSpinner
{
public:
    VectorSpinner();
    static void spin_calculator(SYSCTRL::ProjectionAnalogSignalStructure& projection, SYSCTRL::VecorModuleStructure& module, SYSCTRL::ProjectionAnalogSignalStructure& spinner);
    static void spin_reset(SYSCTRL::ProjectionAnalogSignalStructure& spinner);
    static void ort_corrector(SYSCTRL::ProjectionAnalogSignalStructure& spinner, SYSCTRL::VectorOrthogonalProjection& ort, SYSCTRL::VectorOrthogonalProjection& twisted);
};

} /* namespace SYSCTRL */

#endif /* SYSCTRL_VECTORSPINNER_H_ */
