/*
 * WarningExceed.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "Alert/AlertBase.h"

#ifndef ALERT_WARNINGEXCEED_H_
#define ALERT_WARNINGEXCEED_H_

namespace ALERT
{

class WarningExceed: public ALERT::AlertBase
{
private:
    bool m_warning;
public:
    bool warning;
public:
    WarningExceed();
    void setup(float time_sample);
    void configure(const AlertBaseConfiguration& config);
public:
    void reset();
public:
    void execute(float reference);
private:
    void (WarningExceed::*_execute)(float reference);
    void _execute_undef(float reference);
    void _execute_operational(float reference);
};

} /* namespace ALERT */

#endif /* ALERT_WARNINGEXCEED_H_ */
