/*
 * AlgorithmBase.cpp
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "SYSCTRL/AlgorithmBase.h"

namespace SYSCTRL
{
//CONSTRUCTOR
AlgorithmBase::AlgorithmBase():
        m_voltage_a(FP_ZERO),
        m_voltage_b(FP_ZERO),
        m_voltage_c(FP_ZERO)
//
{}//CONSTRUCTOR
//
#pragma CODE_SECTION("ramfuncs");
void AlgorithmBase::get_ref_invertor_voltage(float& volt_a, float& volt_b, float& volt_c)
{
    volt_a = m_voltage_a;
    volt_b = m_voltage_b;
    volt_c = m_voltage_c;
    //
}//end
//
void AlgorithmBase::_execute_undef(){}
//

} /* namespace SYSCTRL */
