/*
 * AlgorithmFault.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include <math.h>
#include <stdint.h>

#ifndef SYSCTRL_ALGORITHMFAULT_H_
#define SYSCTRL_ALGORITHMFAULT_H_

#include "SYSCTRL/AlgorithmBase.h"
#include "SYSCTRL/HeadersFLTSYSLIB.h"

namespace SYSCTRL
{


class AlgorithmFault: public AlgorithmBase
{
private:
    SYSCTRL::SystemEnvironment& m_env;
public:
    AlgorithmFault(SYSCTRL::SystemEnvironment& env);
public:
    void setup();
public:
    void reset();
public:
    void execute();
private:
    void (AlgorithmFault::*_execute)();
    void _execute_run();
};

} /* namespace SYSCTRL */

#endif /* SYSCTRL_ALGORITHMFAULT_H_ */
