/*
 * AlgoritmOff.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include <math.h>
#include <stdint.h>

#ifndef SYSCTRL_ALGORITMSTOPPED_H_
#define SYSCTRL_ALGORITMSTOPPED_H_

#include "SYSCTRL/AlgorithmBase.h"
#include "SYSCTRL/HeadersFLTSYSLIB.h"


namespace SYSCTRL
{


class AlgorithmOff: public AlgorithmBase
{
private:
    SYSCTRL::SystemEnvironment& m_env;
public:
    AlgorithmOff(SYSCTRL::SystemEnvironment& env);
public:
    void setup();
public:
    void reset();
public:
    void execute();
private:
    void (AlgorithmOff::*_execute)();
    void _execute_run();
};

} /* namespace SYSCTRL */

#endif /* SYSCTRL_ALGORITMSTOPPED_H_ */
